# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:		grilo-plugins
Version:	0.1.17
Release:	%mkrel 1
Summary:	Plugins for the Grilo framework
Group:		System/Libraries
License:	LGPLv2+
Url:		https://live.gnome.org/Grilo
Source0:	http://ftp.gnome.org/pub/GNOME/sources/grilo-plugins/%{release_version}/grilo-plugins-%{version}.tar.xz
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.26.0
BuildRequires: pkgconfig(gmime-2.6)
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gupnp-1.0) >= 0.13
BuildRequires: pkgconfig(gupnp-av-1.0) >= 0.5
BuildRequires: pkgconfig(libgdata) >= 0.7.0
BuildRequires: pkgconfig(libquvi) >= 0.2.15
BuildRequires: pkgconfig(libsoup-2.4)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(rest-0.7)
BuildRequires: pkgconfig(sqlite3)
BuildRequires:	grilo-devel >= %{version}
BuildRequires:	libgcrypt-devel
BuildRequires:	gnome-common
BuildRequires:	automake autoconf intltool
Requires:	grilo >= %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains plugins to get information from theses sources:
- Apple Trailers
- Bookmarks
- Filesystem
- Flickr
- Gravatar
- Jamendo
- Last.fm (for album arts)
- Local metadata (album arts and thumbnails)
- Metadata Store
- Podcasts
- Shoutcast
- UPnP
- Vimeo
- Youtube

%prep
%setup -q

%build
%configure2_5x				\
	--disable-static		\
	--disable-fakemetadata		\
	--disable-shoutcast		\
	--enable-apple-trailers		\
	--enable-bookmarks		\
	--enable-filesystem		\
	--enable-flickr			\
	--enable-gravatar		\
	--enable-jamendo		\
	--enable-lastfm-albumart	\
	--enable-localmetadata		\
	--enable-metadata-store		\
	--enable-podcasts		\
	--disable-tracker		\
	--enable-upnp			\
	--enable-vimeo			\
	--enable-youtube

%make


%install
%makeinstall_std

# Remove files that will not be packaged
rm -f $RPM_BUILD_ROOT%{_libdir}/grilo-%{release_version}/*.la
rm -f $RPM_BUILD_ROOT%{_bindir}/*

%files
%doc AUTHORS COPYING NEWS README
%{_libdir}/grilo-%{release_version}/*


%changelog
* Sun Sep 25 2011 Texstar <texstar at gmail.com> 0.1.17-1pclos2011
- 0.1.17
